Bug 7807 - GetSuggestionFromBiblionumber takes only one parameter
Summary: GetSuggestionFromBiblionumber takes only one parameter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P3 normal (vote)
Assignee: Julian Maurice
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 16:19 UTC by Julian Maurice
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Fix call to GetSuggestionFromBiblionumber (922 bytes, patch)
2012-03-22 16:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 7807: [SIGNED-OFF] Fix call to GetSuggestionFromBiblionumber (1003 bytes, patch)
2012-04-06 11:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-03-22 16:19:03 UTC
GetSuggestionFromBiblionumber takes only one parameter (biblionumber) but C4::Acquisitions::ModReceiveOrder call it with $dbh in first parameter which can cause undesirable effects.
Comment 1 Julian Maurice 2012-03-22 16:22:50 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-04-06 11:42:28 UTC
Created attachment 8946 [details] [review]
Bug 7807: [SIGNED-OFF] Fix call to GetSuggestionFromBiblionumber

the $dbh param is not required by GetSuggestionFromBiblionumber
Comment 3 Ian Walls 2012-04-06 22:13:10 UTC
It's true, it does only take the one param.  Easy one line fix, marking as Passed QA.
Comment 4 Paul Poulain 2012-04-10 09:58:02 UTC
I think this problem is only on 3.8 (unchecked)
Comment 5 Julian Maurice 2012-04-12 08:06:19 UTC
Ok in master.